// pages/login/login.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    showLogin:false,
    isLoginIng: false,
    canIUse: wx.canIUse('button.open-type.getUserInfo'),
    hasUserInfo: false,
  },
  /**
   * 登录
   */
  checkLogin(e) {
    if (this.data.isLoginIng) {
      return
    }
    var data = e.detail.value;
    if (data.userName == '') {
      wx.showToast({
        title: '请先输入账号',
        icon: 'none',
        duration: 2000
      })
    } else if (data.password == '') {
      wx.showToast({
        title: '请先输入密码',
        icon: 'none',
        duration: 2000
      })
    } else {
      this.setData({
        isLoginIng: true
      })
      this.login(data);
    }
  },
  login(data) {
    var data={
      account_id: data.userName,
      account_password: data.password
    }
    app.requestPost('register', data,res=>{
      this.setData({
        isLoginIng: false
      })
      if(res.code==200){
        app.globalData.storeData = res.data;
        wx.switchTab({
          url: '../home/home'
        })
      }else{
        wx.showToast({
          title: res.message,
          icon: 'none',
          duration: 2000
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    var that=this;
    wx.hideShareMenu();
    if (app.globalData.userInfo) {
      this.setData({
        hasUserInfo: true
      })
    } else if (this.data.canIUse) {
      // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
      // 所以此处加入 callback 以防止这种情况
      app.userInfoReadyCallback = res => {
        this.setData({
          hasUserInfo: true
        })
      }
    } else {
      // 在没有 open-type=getUserInfo 版本的兼容处理
      wx.getUserInfo({
        success: res => {
          app.globalData.userInfo = res.userInfo
          this.setData({
            hasUserInfo: true
          })
        }
      })
    }
    if (app.globalData.userState==1){//已注册
      wx.switchTab({
        url: '../home/home'
      })
    } else if (app.globalData.userState == -1){
      app.userStateReadyCallback = res => {
        if(res){
          wx.switchTab({
            url: '../home/home'
          })
        }else{
          that.setData({
            showLogin:true
          })
        }
      }
    }
  },
  /**
  * 获取头像昵称
  */
  getUserInfo: function (e) {
    app.globalData.userInfo = e.detail.userInfo
    this.setData({
      hasUserInfo: true
    })
    if (e.detail.userInfo){
      var userInfo = app.setUserInfo(e.detail.userInfo)
      app.requestPost('submit', userInfo,res=>{
        console.log(res)
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})